#ifndef _SYSINFO_H
#define _SYSINFO_H

#define SYS_INFO_PATH	"/var/config/sysinfo"

typedef struct _sysinfo
{
	unsigned long wan_ip;
	unsigned long lan_ip;
	unsigned long bridge_ip;
	char device_ID[16];
	char VersionName[32];
	unsigned char wolmac[6];
} Sys_info;

struct	dhcp_client_elm{
	unsigned long	client_ip;
	unsigned long	start_time;
	unsigned long	end_time;
	char	client_host[20];
	char	client_mac[6];
	char	reserv[2];
};

#ifdef _MGB100
#	define	LANPORTNAME		"eth1"
#	define WANPORTNAME		"eth1"
#	define WLANPORTNAME    "wl0"  // wireless
#	define WDSPORTNAME     "wds"   // wds
#endif

#define BRIDGEPORTNAME	"br0"

#endif
